<p class="mat-h3">
  <b>{{ titleText }}</b>
</p>
<form [formGroup]="form" (ngSubmit)="onSubmit()">
  <div fxLayout="column" fxLayoutGap="20px">
    <div fxFlex *ngIf="hasUploadedFile">
      <ng-container *ngIf="fileIsImage()">
        <img src="{{ uploadedFilePath }}" />
      </ng-container>
      <ng-container *ngIf="!fileIsImage()"></ng-container>
    </div>
    <div fxFlex>
      <div fxLayout="row wrap" fxLayoutGap="20px" fxLayoutAlign="start center">
        <div *ngIf="fileUploaderMessage.status !== 'progress'" fxFlex="100">
          <input
            class="no"
            #fileInput
            type="file"
            name="attachment"
            (change)="onSelectedFile($event)"
          />
          <button
            mat-stroked-button
            color="primary"
            (click)="$event.preventDefault(); openChooseFile()"
          >
            {{ !hasUploadedFile ? 'Scegli File' : 'Cambia File' }}
          </button>
        </div>
        <div
          *ngIf="hasUploadedFile && fileUploaderMessage.status !== 'progress'"
          fxFlex="100"
        >
          <button
            mat-stroked-button
            (click)="$event.preventDefault(); removeUploadedFile()"
            color="warn"
          >
            Rimuovi
          </button>
        </div>
        <div
          class="mt"
          fxFlex="100"
          *ngIf="hasUploadableFile && fileUploaderMessage.status !== 'progress'"
        >
          <button mat-raised-button color="primary">Carica</button>
        </div>

        <div
          class="uploader mt"
          fxFlex="100"
          *ngIf="fileUploaderMessage.status === 'progress'"
        >
          <b class="centered-percentage">{{ fileUploaderMessage.message }}%</b>
          <mat-progress-spinner
            diameter="75"
            color="primary"
            mode="determinate"
            [value]="fileUploaderMessage.message"
          ></mat-progress-spinner>
        </div>

        <div fxFlex="100" class="mt" *ngIf="hasUploadableFile">
          <div class="attachment-info" fxLayout="column">
            <p class="mat-body-strong" fxFlex="nogrow">File Selezionato</p>
            <p class="mat-body" fxFlex="nogrow">
              <b>Nome file:</b> {{ selectedFile.name }}
            </p>
            <p class="mat-body" fxFlex="nogrow">
              <b>Tipologia:</b> {{ selectedFile.type }}
            </p>
            <p class="mat-body" fxFlex="nogrow">
              <b>Dimensioni:</b> {{ toMB(selectedFile.size) }} MB
            </p>
          </div>
        </div>

        <div fxFlex="100" *ngIf="!hasUploadableFile && hasUploadedFile">
          <div class="attachment-info" fxLayout="column">
            <p
              fxFlex="nogrow"
              class="with-icon mat-body"
              [ngClass]="{ 'tooltip-active': showTooltip }"
            >
              <b>File Caricato</b>
              <mat-icon
                matTooltipPosition="above"
                matTooltip="{{ tooltipText }}"
                *ngIf="showTooltip"
              >
                help_outline
              </mat-icon>
            </p>
            <p class="mat-body" fxFlex="nogrow">
              <b>Nome file:</b> {{ uploadedFileName }}
            </p>
            <p class="mat-body" fxFlex="nogrow">
              <b>Tipologia:</b> {{ uploadedFileType }}
            </p>
            <p class="mat-body" fxFlex="nogrow">
              <b>Dimensioni:</b> {{ toMB(uploadedFileSize) }} MB
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</form>
